import { DataGoogleClientConfig } from "@cdktf/provider-google/lib/data-google-client-config";
import { DataGoogleContainerCluster } from "@cdktf/provider-google/lib/data-google-container-cluster";
import { ITerraformDependable } from "cdktf";
import { Construct } from "constructs";
export interface GkeControlPlaneProps {
    readonly clusterName: string;
    readonly location: string;
    readonly projectId: string;
}
export interface AuthCredentials {
    readonly clusterCaCertificate: string;
    readonly host: string;
    readonly token: string;
}
export declare class GKEAuth extends Construct implements ITerraformDependable {
    readonly clusterInfo: DataGoogleContainerCluster;
    readonly clientConfig: DataGoogleClientConfig;
    constructor(scope: Construct, id: string, props: GkeControlPlaneProps);
    get host(): string;
    get clusterCaCertificate(): string;
    get clusterCaCertificatePEM(): string;
    get token(): string;
    get context(): string;
    get authCredentials(): AuthCredentials;
    get kubeConfigRaw(): string;
    get fqn(): string;
}
